# SPDX-FileCopyrightText: None
# SPDX-License-Identifier: CC0-1.0

Dependencies:
- 'on': ['@all']
  'require':
    'frameworks/extra-cmake-modules': '@latest'
    'frameworks/kauth': '@latest'
    'frameworks/kcodecs': '@latest'
    'frameworks/kconfig': '@latest'
    'frameworks/kconfigwidgets': '@latest'
    'frameworks/kcoreaddons': '@latest'
    'frameworks/kdbusaddons': '@latest'
    'frameworks/kguiaddons': '@latest'
    'frameworks/kwidgetsaddons': '@latest'
    'frameworks/kwindowsystem': '@latest'
    'plasma/kdecoration': '@same'
Options:
  require-passing-tests-on: [ 'Linux', 'FreeBSD']
